Subject: Re: bug#35507: Gnus mojibakifies UTF-8 text/x-patch attachments from Thunderbird

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 May 2019 22:05:59 +0300

> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Wed, 1 May 2019 11:26:35 -0700
> 
> > I don't see why we should
> > change Gnus in this regard, certainly not unconditionally assuming
> > UTF-8.
> Gnus is mishandling emails sent from Thunderbird right now, so it would
> be a practical benefit for Gnus users if it did a better job of decoding
> these admittedly-iffy messages.
> 
> These days, UTF-8 is by far the most common encoding specified for
> non-ASCII text in email and its popularity is growing, so it's the best
> choice for a default if Gnus will have one - certainly better than the
> confusing behavior that Robert Pluim observed in his Gnus session.
> Gnus's current behavior may have been a good idea in 1996 when RFC 2046
> said US-ASCII was the default, but it stopped being a good idea in 2012
> when RFC 6657 came out and said that UTF-8 should be the default if
> there is a default.
> 
> Another possibility is that Gnus could ask the user which encoding to
> use when the email headers don't specify one and when the text is not
> ASCII; even that would be better than Gnus's current behavior of forcing
> US-ASCII and displaying something like "\xe2\x80\x99" when it encounters
> a non-ASCII character.

I'm okay with having a default that's customizable.  I also think Gnus
should have a feature that allows the user to request "re-decoding" of
a message part, because no matter how smart are we and our defaults,
they will sometimes fail.